summaryrefslogtreecommitdiff
path: root/test
diff options
context:
space:
mode:
authorDavid Kalnischkies <kalnischkies@gmail.com>2010-08-28 22:26:32 +0200
committerDavid Kalnischkies <kalnischkies@gmail.com>2010-08-28 22:26:32 +0200
commitb093a199056673b55e6467ab9e22e8af15183c43 (patch)
treea7e26503f1f4325691612a6be4ed20233bcfe58e /test
parente56aac77a45e7a9a5620be12dfae0e2296f1d560 (diff)
* apt-pkg/contrib/configuration.cc:
- fix autoremove by using correct config-option name and don't make faulty assumptions in error handling (Closes: #594689)
Diffstat (limited to 'test')
-rwxr-xr-xtest/integration/test-autoremove31
1 files changed, 31 insertions, 0 deletions
diff --git a/test/integration/test-autoremove b/test/integration/test-autoremove
new file mode 100755
index 000000000..fb39e979a
--- /dev/null
+++ b/test/integration/test-autoremove
@@ -0,0 +1,31 @@
+#!/bin/sh
+set -e
+
+local TESTDIR=$(readlink -f $(dirname $0))
+. $TESTDIR/framework
+setupenvironment
+configarchitecture "i386"
+
+buildsimplenativepackage "unrelated" "all" "1" "unstable"
+buildsimplenativepackage "po-debconf" "all" "1.0.16" "unstable"
+buildsimplenativepackage "debhelper" "all" "8.0.0" "unstable" "Depends: po-debconf"
+setupaptarchive
+
+aptget install unrelated debhelper -qq 2>&1 > /dev/null
+
+testfileequal "rootdir/var/lib/apt/extended_states" "Package: po-debconf
+Architecture: i386
+Auto-Installed: 1
+"
+aptget remove debhelper -y -qq 2>&1 > /dev/null
+aptget autoremove -y -qq 2>&1 > /dev/null
+
+testfileequal "rootdir/var/lib/apt/extended_states" ""
+
+sed -i rootdir/var/log/apt/history.log -e '/^Commandline: / d' -e '/^Start-Date: / d' -e '/^End-Date: / d'
+testfileequal "rootdir/var/log/apt/history.log" '
+Install: unrelated:i386 (1), debhelper:i386 (8.0.0), po-debconf:i386 (1.0.16, automatic)
+
+Remove: debhelper:i386 (8.0.0)
+
+Remove: po-debconf:i386 (1.0.16)'